unable to install numpy for pypy3.5 on windows

Issue #2935 resolved
situchenqi
created an issue

pip 18.1 windows 10 numpy 1.15 pypy3.5 5.10.1 thanks for Matti's solution , numpy is successfully installed but packages need numpy are still uninstallalbe like pandas scipy and matplotlib the error message are in attachments

Comments (9)

  1. mattip

    SciPy: you need some kind of lapack/blas, it is required to build scipy. You can try to follow the azure build script from scipy which downloads a mingw build.

    Pandas: you are using MSVC9. That won't work. Use VS2017. Also somehow you are using the headers from pypy3-v5.10.1, which also won't work.

    Matplotlib: read the build instructions from their website. You are missing dependencies.

  2. Log in to comment